Bug 2090664 - [abrt] pipewire-pulseaudio: core_sync.isra.0(): pipewire-pulse killed by SIGSEGV
Summary: [abrt] pipewire-pulseaudio: core_sync.isra.0(): pipewire-pulse killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:85226a5e2112b9a46432af92e26...
: 2106549 2145259 2148200 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-26 09:42 UTC by Nirmal Pathak
Modified: 2023-05-25 19:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 19:11:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (15.79 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: core_backtrace (7.29 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: cpuinfo (2.60 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: environ (1.65 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: exploitable (82 bytes, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: limits (1.29 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: maps (3.94 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: mountinfo (2.75 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: open_fds (63.98 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: proc_pid_status (1.39 KB, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details
File: var_log_messages (517 bytes, text/plain)
2022-05-26 09:42 UTC, Nirmal Pathak
no flags Details

Description Nirmal Pathak 2022-05-26 09:42:05 UTC
Version-Release number of selected component:
pipewire-pulseaudio-0.3.51-2.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/pipewire-pulse.service
cmdline:        /usr/bin/pipewire-pulse
crash_function: core_sync.isra.0
dso_list:       /usr/bin/pipewire-pulse pipewire-pulseaudio-0.3.51-2.fc36.x86_64 (Fedora Project) 1653281329
executable:     /usr/bin/pipewire-pulse
journald_cursor: s=7136007c1e2c4974b4c02e2c887680fc;i=3b0b6;b=a65bee76ea064ab2992c222ce37b5fb1;m=3b96194ca;t=5dfe6a9c1527c;x=e3912fcb7fe52edd
kernel:         5.17.9-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 core_sync.isra.0 at ../src/modules/module-protocol-pulse/manager.c:90
 #1 pw_manager_sync at ../src/modules/module-protocol-pulse/manager.c:872
 #2 operation_new_cb at ../src/modules/module-protocol-pulse/operation.c:51
 #3 sample_play_stream_state_changed at ../src/modules/module-protocol-pulse/sample-play.c:57
 #4 stream_set_state at ../src/pipewire/stream.c:374
 #5 impl_send_command at ../src/pipewire/stream.c:590
 #6 impl_node_send_command at ../spa/plugins/audioconvert/audioadapter.c:815
 #7 pause_node at ../src/pipewire/impl-node.c:205
 #8 pw_impl_node_set_state at ../src/pipewire/impl-node.c:2169
 #9 client_node_command at ../src/modules/module-client-node/remote-node.c:516

Comment 1 Nirmal Pathak 2022-05-26 09:42:09 UTC
Created attachment 1883747 [details]
File: backtrace

Comment 2 Nirmal Pathak 2022-05-26 09:42:10 UTC
Created attachment 1883748 [details]
File: core_backtrace

Comment 3 Nirmal Pathak 2022-05-26 09:42:11 UTC
Created attachment 1883749 [details]
File: cpuinfo

Comment 4 Nirmal Pathak 2022-05-26 09:42:13 UTC
Created attachment 1883750 [details]
File: environ

Comment 5 Nirmal Pathak 2022-05-26 09:42:14 UTC
Created attachment 1883751 [details]
File: exploitable

Comment 6 Nirmal Pathak 2022-05-26 09:42:16 UTC
Created attachment 1883752 [details]
File: limits

Comment 7 Nirmal Pathak 2022-05-26 09:42:17 UTC
Created attachment 1883753 [details]
File: maps

Comment 8 Nirmal Pathak 2022-05-26 09:42:18 UTC
Created attachment 1883754 [details]
File: mountinfo

Comment 9 Nirmal Pathak 2022-05-26 09:42:19 UTC
Created attachment 1883755 [details]
File: open_fds

Comment 10 Nirmal Pathak 2022-05-26 09:42:20 UTC
Created attachment 1883756 [details]
File: proc_pid_status

Comment 11 Nirmal Pathak 2022-05-26 09:42:22 UTC
Created attachment 1883757 [details]
File: var_log_messages

Comment 12 PeterVDanies 2022-07-12 23:52:24 UTC
*** Bug 2106549 has been marked as a duplicate of this bug. ***

Comment 13 Santiago Gala 2022-09-14 12:39:26 UTC
Similar problem has been detected:

Plugging and unplugging thunderbolt docking station

reporter:       libreport-2.17.2
backtrace_rating: 4
cmdline:        /usr/bin/pipewire-pulse
crash_function: core_sync.isra.0
executable:     /usr/bin/pipewire-pulse
journald_cursor: s=8eb53ce942f34651977772d646e9a9f0;i=208214f;b=72a62182af2f45bf8473dc9d36a1b59c;m=1806668757;t=5e8a1f0f13260;x=36540c62278e54fb
kernel:         5.19.8-200.fc36.x86_64
package:        pipewire-pulseaudio-0.3.57-1.fc36
reason:         pipewire-pulse killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 lpinto 2022-11-23 16:14:44 UTC
*** Bug 2145259 has been marked as a duplicate of this bug. ***

Comment 15 Eric Lavarde 2022-11-24 15:21:10 UTC
*** Bug 2148200 has been marked as a duplicate of this bug. ***

Comment 16 Paul W 2023-02-08 06:35:01 UTC
Similar problem has been detected:

Unsure what caused this.
All RAM was in use and a lot of swap.  Running multiple KVMs with high CPU use.
Trying to watch a video on Udemy (and the test videos)
Lots of tabs open in Firefox browser.
This has not happened before today.

reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/pipewire-pulse.service
cmdline:        /usr/bin/pipewire-pulse
crash_function: core_sync.isra.0
executable:     /usr/bin/pipewire-pulse
journald_cursor: s=69927d70c75a4802b5c7ce286288c893;i=6628f;b=aa6ac50f46e846038b134611b03e2d60;m=5cb1e8c5a;t=5f42a2f6534a4;x=937490e25c203bd7
kernel:         6.1.9-100.fc36.x86_64
package:        pipewire-pulseaudio-0.3.64-2.fc36
reason:         pipewire-pulse killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Ben Cotton 2023-04-25 17:15:45 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 18 Ludek Smid 2023-05-25 19:11:56 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.